local affectedAttacherTypeList = {"trailer", "trailerLow"};
 
local function appendVehicleLoadFinished(self, oldfunc, ...)
	local state = oldfunc(self, ...)
    if self.spec_attacherJoints ~= nil then
        local spec = self.spec_attacherJoints
        if spec.attacherJoints and #spec.attacherJoints > 0 then   
            for index, attacherJoint in pairs(spec.attacherJoints) do   
                for _, jointTypeName in pairs(affectedAttacherTypeList) do 
                    if attacherJoint.jointType == AttacherJoints.jointTypeNameToInt[jointTypeName] then                        
                        attacherJoint.lowerRotLimit[1] = math.rad(800);
                        attacherJoint.lowerRotLimit[2] = math.rad(800);                        
                    end;
                end;
            end;
        end;    
    end;
	return state;
end;
 
Vehicle.loadFinished = Utils.overwrittenFunction(Vehicle.loadFinished, appendVehicleLoadFinished);